﻿$ErrorActionPreference = 'Stop';
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$version    = '1.15.0'
$url        = "https://www.nlnetlabs.nl/downloads/unbound/unbound_setup_1.19.0.exe"
$url64      = "https://www.nlnetlabs.nl/downloads/unbound/unbound_setup_1.19.0-w32.exe"
$checksum   = 'e4c558d19459ae3ee2b135a568cf08e45fb10487fa9f1cf74f996ae46d581003'
$checksum64 = '6191fa61f22bc1dc196c2e5894d6c89cee3c50e7a6ea6ab2b287b8be7557ba77'

$packageArgs = @{
  packageName   = $env:ChocolateyPackageName
  fileType      = 'exe'
  url           = $url
  url64bit      = $url64
  # Unbound uses NSIS https://github.com/NLnetLabs/unbound/blob/master/winrc/setup.nsi
  silentArgs    = "/S"
  softwareName  = 'Unbound*'
  checksum      = $checksum
  checksumType  = 'sha256'
  checksum64    = $checksum64
  checksumType64= 'sha256'
}

Install-ChocolateyPackage @packageArgs
